class Config:

    def __init__(self, env, gym_env: str) -> None:
        # self.input_size = env.observation_space.shape
        self.input_size = [4]
        self.output_size = env.action_space.n

        self.solving_criteria = None
        if gym_env == "CartPole-v0":
            self.solving_criteria = (100, 199)
        elif gym_env == "CartPole-v1":
            self.solving_criteria = (100, 475)
        elif gym_env == "MountainCar-v0":
            self.solving_criteria = (100, -100)
        elif gym_env == "grid_world_a4_10":
            self.solving_criteria = (50, 83)
        elif gym_env == "grid_world_a4_7":
            self.solving_criteria = (50, 89)
        elif gym_env == "grid_world_a4_20":
            self.solving_criteria = (50, 63)
        elif gym_env == "grid_world_a4_50":
            self.solving_criteria = (120, 3)
        elif gym_env == "grid_world_a4_100":
            self.solving_criteria = (220, -97)
        elif gym_env == "grid_world_a4_maze10":
            self.solving_criteria = (50, 67)
        elif gym_env == "two_way_grid_world":
            self.solving_criteria = (50, 83)




        self.RAM_FIXED_LENGTH = 128


